curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "string", "image_version_id": 0, "ssh_key_ids": [ 0 ], "security_group_id": 0, "script_added": false, "lifecycle_script": "string", "sfs_mount_list": [ { "id": 0, "name": "string", "mount_path": "string" } ], "pfs_mount_list": [ {} ], "dataset_mount_list": [ {} ], "sku_id": 0, "no_of_nodes": 0, "sku_item_price_id": 0}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "string", "image_version_id": 0, "ssh_key_ids": [ 0, ], "security_group_id": 0, "script_added": False, "lifecycle_script": "string", "sfs_mount_list": [ { "id": 0, "name": "string", "mount_path": "string", }, ], "pfs_mount_list": [ {}, ], "dataset_mount_list": [ {}, ], "sku_id": 0, "no_of_nodes": 0, "sku_item_price_id": 0, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/cluster/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "image_version_id": 0, "ssh_key_ids": [ 0 ], "security_group_id": 0, "script_added": false, "lifecycle_script": "string", "sfs_mount_list": [ { "id": 0, "name": "string", "mount_path": "string" } ], "pfs_mount_list": [ {} ], "dataset_mount_list": [ {} ], "sku_id": 0, "no_of_nodes": 0, "sku_item_price_id": 0 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Request Bodyrequired
Section titled “Request Bodyrequired”object
Name of the training cluster.
ID of the image version to use for cluster nodes (Ubuntu Slurm or NeMo).
List of SSH key IDs to attach to the cluster login node.
Security group ID controlling inbound and outbound traffic to cluster nodes.
Whether a lifecycle script has been provided.
Script executed on each node after the cluster starts.
Shared File System volumes to mount on cluster nodes.
object
Parallel File System volumes to mount on cluster nodes.
object
Read-only dataset volumes to mount on cluster nodes.
object
SKU ID for the cluster node type.
Number of nodes in the cluster.
SKU item price ID for the cluster plan. This value is region-specific.
Example generated
{ "name": "example", "image_version_id": 1, "ssh_key_ids": [ 1 ], "security_group_id": 1, "script_added": true, "lifecycle_script": "example", "sfs_mount_list": [ { "id": 1, "name": "example", "mount_path": "example" } ], "pfs_mount_list": [ {} ], "dataset_mount_list": [ {} ], "sku_id": 1, "no_of_nodes": 1, "sku_item_price_id": 1}Responses
Section titled “Responses”Cluster created successfully.
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
{ "code": 201, "data": { "id": 101, "name": "training-cluster-010125103045", "created_by": { "id": 1001, "name": "John Doe", "email": "user@example.com", "username": "user@example.com", "is_primary_contact": true, "currency": "INR", "is_suspended": false }, "no_of_nodes": 1, "created_at": "2025-01-15T10:30:00Z", "private_cloud_id": null, "private_cloud_name": null, "sku_details": { "specs": { "sku_id": 139, "name": "C3.32GB", "series": "CPU", "cpu": 8, "gpu": 0, "memory": 32, "ephemeral_storage": 0, "gpu_memory": 0, "is_free": false, "is_active": true, "local_storage_in_gb": 0, "sku_type": "C3-250GB", "gpu_card_type": null, "category": "distributed_job", "variant": "e2e", "no_of_nodes": 1 }, "plan": { "sku_item_price_id": 645, "sku_type": "hourly", "committed_days": 0, "unit_price": 12.3, "currency": "INR", "is_active": true, "description": null, "location": "Delhi" } }, "total_gpu": 0, "total_cpu": 0, "total_memory": "0 GB", "available_gpu": 0, "available_cpu": 0, "available_memory": "0 GB", "worker_nodes": [], "has_local_storage": false, "local_storage_per_node": null, "status": "Creating", "image_pull_policy": "IfNotPresent", "image_version": { "id": 2, "version": "v2-slurm25.11-ubuntu24.04", "description": "", "tags": [], "name": "Ubuntu Slurm", "slug_name": "ubuntu-slurm", "framework": "Slurm", "is_internal": false }, "ssh_keys": [ { "pk": 1001, "label": "my-ssh-key", "ssh_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAB... user@example.com" } ], "ssh_public_ip": "", "has_floating_ip": true, "reserve_ip": [], "clone_data": { "name": "training-cluster-010125103045", "image_version_id": 2, "ssh_key_ids": [ 1001 ], "security_group_id": 1001, "script_added": false, "lifecycle_script": "", "sfs_mount_list": [], "pfs_mount_list": [], "dataset_mount_list": [], "sku_id": 139, "no_of_nodes": 1, "sku_item_price_id": 645, "project_id": 10001 } }, "errors": {}, "message": "Cluster created successfully"}Bad request due to invalid parameters.
object
object
Example
{ "code": 400, "errors": { "sku_id": [ "This field is required." ] }, "message": "Bad Request"}Unauthorized — missing or invalid API key.
object
Example
{ "code": 401, "message": "Unauthorized access."}